Subject: Re: Serial driver help

From: "Navin Boppuri" <[email-masked]>
Date: Tue, 16 Jan 2001 10:21:30 -0000

Hello Daris,

Thank you for the link. But all I see there is docs on how to talk to serial
ports. I need some linux data structures info. How is serial.c organized?
How can I port a new uart to serial.c ? etc. etc. Do you know of some place
I can find this?

Thank you,
Navin Boppuri

----- Original Message -----
From: "Daris Nevil" <[email-masked]>
To: "Navin Boppuri" <[email-masked]>
Cc: <[email-masked]>
Sent: Tuesday, January 16, 2001 12:38 AM
Subject: Re: Serial driver help

> Navin,
>
> Check out http://www.qslinux.org/docs/snmc/serial/index.html, as it may
have
> the info that you need.
>
> Regards,
> Daris Nevil
> SNMC
>
> Navin Boppuri wrote:
>
> > Hello,
> >
> > Can someone tell me where I can find some documentation on how to write
a
> > serial driver in linux using the serial.h and tty data structures? I am
> > using MAX3100 uart connected to the SPI controller. The SPI driver is
fine
> > works just fine. I do see that uart.c is written for uarts connected on
SMC
> > and SCC. All I need to do is to port it for SPI.
> >
> > Thank you,
> > Navin Boppuri
> >
>

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/